org.keycloak.models.jpa.entities

## Interface RealmAttributes

-     public interface RealmAttributes

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_TOKEN_GENERATED_BY_ADMIN_LIFESPAN`
    `static String` | `ACTION_TOKEN_GENERATED_BY_USER_LIFESPAN`
    `static String` | `CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT`
    `static String` | `CLIENT_OFFLINE_SESSION_MAX_LIFESPAN`
    `static String` | `CLIENT_SESSION_IDLE_TIMEOUT`
    `static String` | `CLIENT_SESSION_MAX_LIFESPAN`
    `static String` | `DISPLAY_NAME`
    `static String` | `DISPLAY_NAME_HTML`
    `static String` | `OFFLINE_SESSION_MAX_LIFESPAN`
    `static String` | `OFFLINE_SESSION_MAX_LIFESPAN_ENABLED`
    `static String` | `WEBAUTHN_POLICY_ACCEPTABLE_AAGUIDS`
    `static String` | `WEBAUTHN_POLICY_ATTESTATION_CONVEYANCE_PREFERENCE`
    `static String` | `WEBAUTHN_POLICY_AUTHENTICATOR_ATTACHMENT`
    `static String` | `WEBAUTHN_POLICY_AVOID_SAME_AUTHENTICATOR_REGISTER`
    `static String` | `WEBAUTHN_POLICY_CREATE_TIMEOUT`
    `static String` | `WEBAUTHN_POLICY_REQUIRE_RESIDENT_KEY`
    `static String` | `WEBAUTHN_POLICY_RP_ENTITY_NAME`
    `static String` | `WEBAUTHN_POLICY_RP_ID`
    `static String` | `WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS`
    `static String` | `WEBAUTHN_POLICY_USER_VERIFICATION_REQUIREMENT`

- - ### Field Detail

    - #### DISPLAY_NAME

          static final String DISPLAY_NAME

      See Also:
        Constant Field Values

    - #### DISPLAY_NAME_HTML

          static final String DISPLAY_NAME_HTML

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_GENERATED_BY_ADMIN_LIFESPAN

          static final String ACTION_TOKEN_GENERATED_BY_ADMIN_LIFESPAN

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_GENERATED_BY_USER_LIFESPAN

          static final String ACTION_TOKEN_GENERATED_BY_USER_LIFESPAN

      See Also:
        Constant Field Values

    - #### OFFLINE_SESSION_MAX_LIFESPAN_ENABLED

          static final String OFFLINE_SESSION_MAX_LIFESPAN_ENABLED

      See Also:
        Constant Field Values

    - #### OFFLINE_SESSION_MAX_LIFESPAN

          static final String OFFLINE_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_IDLE_TIMEOUT

          static final String CLIENT_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_MAX_LIFESPAN

          static final String CLIENT_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT

          static final String CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### CLIENT_OFFLINE_SESSION_MAX_LIFESPAN

          static final String CLIENT_OFFLINE_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_RP_ENTITY_NAME

          static final String WEBAUTHN_POLICY_RP_ENTITY_NAME

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS

          static final String WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_RP_ID

          static final String WEBAUTHN_POLICY_RP_ID

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_ATTESTATION_CONVEYANCE_PREFERENCE

          static final String WEBAUTHN_POLICY_ATTESTATION_CONVEYANCE_PREFERENCE

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_AUTHENTICATOR_ATTACHMENT

          static final String WEBAUTHN_POLICY_AUTHENTICATOR_ATTACHMENT

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_REQUIRE_RESIDENT_KEY

          static final String WEBAUTHN_POLICY_REQUIRE_RESIDENT_KEY

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_USER_VERIFICATION_REQUIREMENT

          static final String WEBAUTHN_POLICY_USER_VERIFICATION_REQUIREMENT

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_CREATE_TIMEOUT

          static final String WEBAUTHN_POLICY_CREATE_TIMEOUT

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_AVOID_SAME_AUTHENTICATOR_REGISTER

          static final String WEBAUTHN_POLICY_AVOID_SAME_AUTHENTICATOR_REGISTER

      See Also:
        Constant Field Values

    - #### WEBAUTHN_POLICY_ACCEPTABLE_AAGUIDS

          static final String WEBAUTHN_POLICY_ACCEPTABLE_AAGUIDS

      See Also:
        Constant Field Values

Copyright © 2020 JBoss by Red Hat. All rights reserved.